#!/bin/sh
# MAGIC BL0RG AUDIO PRINTER!!!

# if called without parameters we return the supported deviceurls
if [ -z "$*" ]
then
  echo 'direct blorg "Unknown" "MP3/OGG Audio-Printer"'
  exit 0
fi

# programs used
FILE="/usr/bin/file -bi"
MP3_PLAYER="/usr/bin/mpg321"
OGG_PLAYER="/usr/bin/ogg123"
SID_PLAYER="/usr/bin/sidplay2 -t5:00"

# supplied parameters
FILENAME=$6
if [ -z "$FILENAME" ];
then
  FILENAME=-
fi
CONTENT_TYPE=$($FILE "$FILENAME")

LogError() {
  echo -e "ERROR: $*" >&2
}

LogInfo() {
  echo -e "INFO: $*" >&2
}

KillMusic() {
        kill $PID
        LogInfo "Job has been canceled"
        exit 0
}

trap 'KillMusic' TERM

# main script
case $CONTENT_TYPE in
 application/ogg)
        LogInfo "OGG" $TITLE $FILENAME
        $OGG_PLAYER "$FILENAME" &
        PID=$!
        ;;
 audio/mpeg)
	echo $(/usr/bin/whoami)
	echo "----------------"
	LogInfo "MP3" $TITLE $FILENAME
        $MP3_PLAYER "$FILENAME" &
        PID=$!
        ;;
 audio/sid) 
	   LogInfo "SID" $TITLE $FILENAME
           $SID_PLAYER "$FILENAME" &
	   PID=$!
           ;;

 *)
        LogError "couldn't play supplied file"
        exit 0
        ;;
esac

# wait
exit 0
